## cairo 1.8.6-0maemo3+0m5

=== debian/changelog ===
cairo (1.8.6-0maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Thu, 02 Jul 2009 15:07:35 +0300

cairo (1.8.6-0maemo3) unstable; urgency=low

  * debian/patches/003-cairo16bpp.diff:
    Do not use a C++ comment in a public header.
  * Fixes: NB#115160 (Cairo 16bpp cairo_image_surface support)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 02 Jul 2009 12:54:33 +0200

cairo (1.8.6-0maemo2) unstable; urgency=low

  * Fixes: NB#115160 (Cairo 16bpp cairo_image_surface support)
  * debian/patches/003-cairo16bpp.diff: re-enabled the 565 RGB mode

 -- Sven Herzberg <sven@lanedo.com>  Tue, 30 Jun 2009 13:53:27 +0200

cairo (1.8.6-0maemo1) unstable; urgency=low

  [ Sven Herzberg ]
  * updated upstream tarball to 1.8.6

  [ Claudio Saavedra ]
  * Fixes: NB#100704 (Package cairo-perf and separately)

 -- Claudio Saavedra <csaavedra@igalia.com>  Fri, 13 Mar 2009 14:25:51 +0200

cairo (1.6.4-6maemo2) unstable; urgency=low

  [ Pierre-Luc Beaudoin ]
  * Packages cairo-pref separately

  [ Sven Herzberg ]
  * Fixed the build system (also patch Makefile.in, provide a proper .install
    file)

 -- Sven Herzberg <herzi@lanedo.com>  Mon, 02 Mar 2009 09:06:34 +0100

cairo (1.6.4-6maemo1) unstable; urgency=low

  * Debian packaging (using upstream tarball) for Fremantle.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 06 Aug 2008 15:33:57 +0300
