## cairo 1.8.8-0maemo1+0m5

=== debian/changelog ===
cairo (1.8.8-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Thu, 10 Dec 2009 15:55:43 +0200

cairo (1.8.8-0maemo1) unstable; urgency=low

  * updated upstream tarball to 1.8.8
    Fixes: NB#146771 - Cairo update from 1.8.6 -> 1.8.8 required

 -- Michael Natterer <mitch@lanedo.com>  Tue, 08 Dec 2009 16:16:16 +0100
