=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
-DEB_TAR_SRCDIR := cairo-1.8.6
+DEB_TAR_SRCDIR := cairo-1.8.8
 include /usr/share/cdbs/1/rules/tarball.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-xlib --enable-pdf --enable-ps --enable-svg --disable-glitz --disable-directfb --enable-png
