## cairo 1.8.8-0maemo1+0m5+thumb0

=== debian/changelog ===
cairo (1.8.8-0maemo1+0m5+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 21 Nov 2013 16:04:44 +0200
