=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Package: libcairo2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround[armel]
 Provides: libcairo
 Conflicts: libcairo1
 Replaces: libcairo0.5.1, libcairo0.6.0, libcairo0.9.0, libcairo1
@@ -68,7 +68,7 @@
 Package: cairo-perf
 Section: misc
 Architecture: any
-Depends: libcairo2 (= ${Source-Version})
+Depends: libcairo2 (= ${Source-Version}), kernel-feature-errata-430973-workaround[armel]
 Description: Performance analisys tool for cairo
  Cairo is a multi-platform library providing anti-aliased
  vector-based rendering for multiple target backends.
