=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,21 @@
 DEB_TAR_SRCDIR := cairo-1.8.8
 include /usr/share/cdbs/1/rules/tarball.mk
 
+CFLAGS = -Wall -g
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+        CFLAGS += -mthumb
+endif
+
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-xlib --enable-pdf --enable-ps --enable-svg --disable-glitz --disable-directfb --enable-png
 
 DEB_DH_STRIP_ARGS := --dbg-package=libcairo2
