=== debian/control ===
Source: cairo
Section: libs
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7),
               dpkg-dev (>= 1.14.13),
               pkg-config (>= 0.19),
               libfontconfig1-dev,
               libfreetype6-dev (>= 2.1.10),
               libxrender-dev (>= 1:0.9.5-2),
               libx11-dev (>= 2:1.3.3-2),
               libpng12-dev,
               libsm-dev,
               xutils-dev,
               libxt-dev,
               libpixman-1-dev (>= 0.12.0),
               libxcb1-dev (>= 0.9.92),
               libxcb-render0-dev (>= 0.9.92),
               libxcb-render-util0-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/cairo.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cairo.git
Homepage: http://cairographics.org/

Package: libcairo2-dev
Provides: libcairo-dev
Suggests: libcairo2-doc
Section: libdevel
Architecture: any
Depends: libcairo2 (= ${binary:Version}),
         libfontconfig1-dev,
         libfreetype6-dev (>= 2.1.10),
         libxrender-dev (>= 0.6.0),
         libpng12-dev,
         libsm-dev,
         libpixman-1-dev (>= 0.12.0),
         libxcb1-dev,
         libxcb-render0-dev,
         libxcb-render-util0-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Development files for the Cairo 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with Cairo.

Package: libcairo2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: xulrunner-1.9.1 (<= 1.9.1.8-3),
        xulrunner-1.9,
        iceape-browser (<= 2.0.3-3),
        libgtk-directfb-2.0-0
Description: The Cairo 2D vector graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends. Paths consist
 of line segments and cubic splines and can be rendered at any width
 with various join and cap styles. All colors may be specified with
 optional translucence (opacity/alpha) and combined using the
 extended Porter/Duff compositing algebra as found in the X Render
 Extension.
 .
 Cairo exports a stateful rendering API similar in spirit to the path
 construction, text, and painting operators of PostScript, (with the
 significant addition of translucence in the imaging model). When
 complete, the API is intended to support the complete imaging model of
 PDF 1.4.
 .
 This package contains the shared libraries.

Package: libcairo2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcairo2 (= ${binary:Version}),
         ${misc:Depends}
Description: The Cairo 2D vector graphics library (debugging symbols)
 Debugging symbols for the Cairo 2D vector graphics library. This is
 needed to debug programs linked against libcairo2.

Package: libcairo2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: Documentation for the Cairo Multi-platform 2D graphics library
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This package contains the HTML documentation for the Cairo library
 in /usr/share/gtk-doc/html/cairo/.

Package: libcairo2-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: The Cairo 2D vector graphics library Xlib backend
 Cairo is a multi-platform library providing anti-aliased
 vector-based rendering for multiple target backends.
 .
 This is version of cairo with only the Xlib backend, intended
 primarily for use in the graphical Debian installer.
