## cairo 1.10.0

=== debian/changelog ===
cairo (1.10.0-1ubuntu3) maverick-proposed; urgency=low

  * debian/patches/05_fix_glyph_advance.patch
    Backport upstream fix for broken print output in evince. (LP: #661724)

 -- Marcel Stimberg <marcelcoding@googlemail.com>  Mon, 25 Oct 2010 00:56:57 +0200

cairo (1.10.0-1ubuntu2) maverick; urgency=low

  * debian/patches/fix_trailing_comma.patch:
    Fix the "comma at end of enumerator list" error when building with strict
    flags and -Werror. (LP: #651183)

 -- Fabien Tassin <fta@ubuntu.com>  Wed, 22 Sep 2010 18:40:13 +0200

cairo (1.10.0-1ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/patches/server_side_gradients.patch:
    - don't use server side gradients, most drivers don't handle those and are
      really slow, should workaround performances issues for ati and nouveau

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Sep 2010 18:27:34 +0200

cairo (1.10.0-1) experimental; urgency=low

  [ Alexandros Frantzis ]
  * debian/control:
    + Add libcairo-script-interpreter2 package.
    + Add cairo-perf-utils package (Closes: #587771).
  * debian/libcairo-script-interpreter2.install,
    debian/cairo-perf-utils.install:
    + Add installation file list for new binary packages.
  * debian/libcairo-script-interpreter2.symbols:
    + Add new symbols for libcairo-script-interpreter.so library.
  * debian/libcairo2-dev.install:
    + Install the libcairo-script-interpreter.so symbolic link.
  * debian/rules:
    + Enable building of cairo-perf-* utilities.
    + Run dh_makeshlibs for the libcairo-script-interpreter2 package.
  * debian/patches/01_build_perf_utils.patch,
    debian/patches/99_autoreconf.patch:
    + Build cairo-perf-* utils as part of the normal build process.

  [ Sebastian Dröge ]
  * New upstream stable release (Closes: #595897):
    + debian/libcairo2.symbols,
      debian/libcairo-script-interpreter2.symbols,
      debian/rules:
      - Update symbols and shlibs to the stable version.
    + debian/control:
      - Update pixman build dependency to >= 0.18.4.
    + debian/patches/01_build_perf_utils.patch:
      - Refreshed.
    + debian/control,
      debian/libcairo-gobject2.symbols,
      debian/libcairo-gobject2.install:
      - Add GObject library.
    + debian/patches/02_am-maintainer-mode.patch:
      - Add AM_MAINTAINER_MODE again to configure.ac to
        prevent build problems.
    + debian/control,
      debian/rules:
      - Use dh-autoreconf instead of an autoreconf patch. cairo's
        build system doesn't like patches...

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Sep 2010 10:09:10 +0200

cairo (1.9.14-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/01_no-private-symbol-export.patch:
      - Dropped, shouldn't be necessary since ages.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Jul 2010 15:07:28 +0200

cairo (1.9.12-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Drop --disable-shave, cairo uses automake 1.11
        silent rules now.
    + debian/patches/03_no-cxx.patch,
      debian/patches/05_am-maintainer-mode.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, first patch merged upstream and the
        other two are not necessary anymore.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Jul 2010 15:05:20 +0200

cairo (1.9.10-1) experimental; urgency=low

  * New upstream development release:
    + Use subpixel rendering settings for fonts (Closes: #555722).
    + debian/patches/99_autoreconf.patch:
      - Regenerated for the new version.
    + debian/patches/01_no-private-symbol-export.patch,
      debian/patches/03_no-cxx.patch,
      debian/patches/05_am-maintainer-mode.patch,
      debian/patches/99_ltmain_as-needed.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Jun 2010 16:13:32 +0200

cairo (1.9.8-1) experimental; urgency=low

  * New upstream development release:
    + Fixes crash in evince when displaying a file (Closes: #578072).
    + debian/control:
      - Update pixman and xcb (build-) dependencies.
    + debian/patches/02_xcb-without-dri2.patch,
      debian/patches/04_bo-rectangular-edge-traversal-invalid-read.patch,
      debian/patches/06_bo-rectangular-skipping.patch:
      - Dropped, merged upstream.
    + debian/patches/03_no-cxx.patch,
      debian/patches/99_autoreconf.patch:
      - Refreshed for the new version.
    + debian/libcairo2.symbols,
      debian/rules:
      - Update symbols and shlibs version for the new API.
  * debian/copyright:
    + Fix typo (Closes: #573530).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Jun 2010 10:04:57 +0200

cairo (1.9.6-6) experimental; urgency=low

  * debian/patches/04_bo-rectangular-edge-traversal-invalid-read.patch,
    debian/patches/06_bo-rectangular-skipping.patch:
    + Patch from upstream GIT to fix invalid read during edge traversal
      and incorrect skipping of edges. Fixes crash in WebKit.
  * debian/patches/05_am-maintainer-mode.patch,
    debian/patches/99_autoreconf.patch:
    + Add support for disabling automake maintainer mode, which causes
      warnings messages and possible errors during build.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Mar 2010 06:49:30 +0100

cairo (1.9.6-5) experimental; urgency=low

  * debian/rules:
    + Add --disable-silent-rules --disable-shave to configure flags.
  * debian/control,
    debian/rules,
    debian/libcairo-directfb2*:
    + Drop DirectFB backend completely now, it's marked experimental
      upstream and was only enabled for the debian-installer, which now
      uses X11 anyway.
  * debian/control:
    + Drop obsolete Replaces and Conflicts which were for versions many
      releases ago.

