=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: cairo
 Section: libs
 Priority: optional
-Maintainer: Dave Beckett <dajobe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
+               dh-autoreconf,
                pkg-config (>= 0.19),
-               libfontconfig1-dev,
+               libfontconfig1-dev (>= 2.2.95),
                libfreetype6-dev (>= 2.1.10),
                libxrender-dev (>= 1:0.9.5-2),
                libx11-dev (>= 2:1.3.3-2),
@@ -14,32 +16,38 @@
                libsm-dev,
                xutils-dev,
                libxt-dev,
-               libpixman-1-dev (>= 0.12.0),
-               libxcb1-dev (>= 0.9.92),
+               libpixman-1-dev (>= 0.18.4),
+               libxcb1-dev (>= 1.4),
                libxcb-render0-dev (>= 0.9.92),
-               libxcb-render-util0-dev
+               libxcb-shm0-dev,
+               libglib2.0-dev,
+               zlib1g-dev
 Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/collab-maint/cairo.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cairo.git
 Homepage: http://cairographics.org/
 
 Package: libcairo2-dev
-Provides: libcairo-dev
-Suggests: libcairo2-doc
 Section: libdevel
 Architecture: any
 Depends: libcairo2 (= ${binary:Version}),
-         libfontconfig1-dev,
+         libcairo-gobject2 (= ${binary:Version}),
+         libfontconfig1-dev (>= 2.2.95),
          libfreetype6-dev (>= 2.1.10),
-         libxrender-dev (>= 0.6.0),
+         libx11-dev,
+         libxrender-dev (>= 0.6),
          libpng12-dev,
          libsm-dev,
-         libpixman-1-dev (>= 0.12.0),
-         libxcb1-dev,
-         libxcb-render0-dev,
-         libxcb-render-util0-dev,
+         libpixman-1-dev (>= 0.18.4),
+         libxcb1-dev (>= 1.4),
+         libxcb-render0-dev (>= 0.9.92),
+         libxcb-shm0-dev,
+         libglib2.0-dev,
          ${shlibs:Depends},
          ${misc:Depends}
+Provides: libcairo-dev
+Suggests: libcairo2-doc,
+          libcairo-script-interpreter2 (= ${binary:Version})
 Description: Development files for the Cairo 2D graphics library
  Cairo is a multi-platform library providing anti-aliased
  vector-based rendering for multiple target backends.
@@ -79,6 +87,9 @@
 Architecture: any
 Depends: libcairo2 (= ${binary:Version}),
          ${misc:Depends}
+Suggests: libcairo-gobject2 (= ${binary:Version}),
+          libcairo-script-interpreter2 (= ${binary:Version}),
+          cairo-perf-utils (= ${binary:Version})
 Description: The Cairo 2D vector graphics library (debugging symbols)
  Debugging symbols for the Cairo 2D vector graphics library. This is
  needed to debug programs linked against libcairo2.
@@ -95,6 +106,43 @@
  This package contains the HTML documentation for the Cairo library
  in /usr/share/gtk-doc/html/cairo/.
 
+Package: libcairo-script-interpreter2
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: The Cairo 2D vector graphics library (script interpreter)
+ Cairo is a multi-platform library providing anti-aliased
+ vector-based rendering for multiple target backends.
+ .
+ This package contains the script interpreter for executing and manipulating
+ cairo execution traces.
+
+Package: libcairo-gobject2
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: The Cairo 2D vector graphics library (GObject library)
+ Cairo is a multi-platform library providing anti-aliased
+ vector-based rendering for multiple target backends.
+ .
+ This package contains the GObject library, providing wrapper GObject types
+ for all cairo types.
+
+Package: cairo-perf-utils
+Section: misc
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: The Cairo 2D vector graphics library performance utilities
+ Cairo is a multi-platform library providing anti-aliased
+ vector-based rendering for multiple target backends.
+ .
+ This package contains a set of utilities for capturing and replaying cairo
+ execution traces using various backends, in order to be able to measure the
+ performance of cairo for real-world applications in a reproducible way.
+
 Package: libcairo2-udeb
 XC-Package-Type: udeb
 Section: debian-installer
