=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
 --enable-pdf --enable-ps \
 --enable-xlib \
 --enable-png \
---disable-silent-rules --disable-shave \
+--disable-silent-rules \
+--disable-maintainer-mode \
 --build=$(DEB_BUILD_GNU_TYPE)
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
@@ -52,7 +53,7 @@
 main_configure_flags += \
 $(configure_flags) \
 --enable-xlib --enable-svg \
---enable-xcb
+--enable-xcb --enable-perf-utils
 
 udeb_configure_flags += \
 $(configure_flags) \
@@ -83,6 +84,8 @@
 	# Generated by configure and breaks the build if already existing
 	-test -r src/cairo-features.h && \
 	  mv src/cairo-features.h src/cairo-features.h.orig
+	dh_autoreconf
+	patch -Np1 < debian/ltmain_as-needed.patch
 	touch $@
 
 configure-stamp-%: configure-common-stamp
@@ -105,10 +108,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	# restore files from backup
 	[ ! -r src/cairo-features.h.orig ] || mv -f src/cairo-features.h.orig src/cairo-features.h
+	[ ! -r configure-common-stamp ] || patch -NRp1 < debian/ltmain_as-needed.patch
 	rm -f *-stamp
 	rm -rf $(buildbasedir) $(installbasedir)
+	dh_autoreconf_clean
 	dh_clean
 
 install-%: build-stamp-%
@@ -151,7 +155,9 @@
 	dh_strip -plibcairo2-udeb
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibcairo2 --add-udeb=libcairo2-udeb -V 'libcairo2 (>= 1.8.0-2)' -- -c4
+	dh_makeshlibs -plibcairo2 --add-udeb=libcairo2-udeb -V 'libcairo2 (>= 1.10.0)' -- -c4
+	dh_makeshlibs -plibcairo-gobject2 -V 'libcairo-gobject2 (>= 1.10.0)' -- -c4
+	dh_makeshlibs -plibcairo-script-interpreter2 -V 'libcairo-script-interpreter2 (>= 1.10.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_perl -s
