## cairo 1.12.2

=== debian/changelog ===
cairo (1.12.2-3) unstable; urgency=low

  * Team upload.

  [ intrigeri ]
  * Fix several printing related problems:
    - Evince crash when printing certain PDF files (Closes: #672336)
    - Evince producing broken print output (Closes: #679105)
    Patches cherry-picked from upstream:
    - 07_cff-subsetting-Ignore-charset-for-non-cid-fonts.patch
    - 08_cff_convert_._to_locale_specific_decimal_point_befor.patch
    - 09_cff_use_correct_size_for_buffer.patch
    - 10_cff_subsetting_widths_can_be_floating_point.patch

  [ Michael Biebl ]
  * Fix segmentation fault when rendering SVGs at certain sizes.
    (Closes: #697482)
    Patch cherry-picked from upstream:
    - 11_polygon-reduce_reduce_broken_stopped-edge_continuation.patch

 -- Michael Biebl <biebl@debian.org>  Thu, 31 Jan 2013 16:22:34 +0100

cairo (1.12.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * (Closes: #690799)  evince crashes with a certain PDF file

 -- Neil Williams <codehelp@debian.org>  Sat, 26 Jan 2013 23:22:12 +0000

cairo (1.12.2-2) unstable; urgency=low

  * debian/libcairo2-udeb.install:
    + Add the GObject library to the udeb. Needed by GTK+3 nowadays.
      Thanks to Michael Biebl for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 May 2012 13:22:36 +0200

cairo (1.12.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/07_traps-Clip-the-trapezoid-extents-against-the-clip-ex.patch,
      debian/patches/08_xlib-Allow-applications-to-create-0x0-surfaces.patch:
      - Dropped, merged upstream.
    + Refresh patches to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Apr 2012 14:30:31 +0200

cairo (1.12.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * 07_traps-Clip-the-trapezoid-extents-against-the-clip-ex.patch:
    patch from upstream git fixing crashes in evince (closes: #668619)
  * 08_xlib-Allow-applications-to-create-0x0-surfaces.patch: patch from
    upstream git fixing libreoffice impress slideshow mode (closes: #668172)
  * Exclude cairo-perf-utils from libcairo2-dbg (closes: #669990)
  * Properly remove all stamp files in debian/rules clean.
  * Drop dh_testroot from debian/rules clean.

 -- Julien Cristau <jcristau@debian.org>  Thu, 26 Apr 2012 21:57:15 +0200

cairo (1.12.0-2) unstable; urgency=low

  * debian/rules:
    + Enable hardened build flags (Closes: #655128).
  * Upload to unstable.
  * debian/patches/06_hurd-map-noreserve.patch:
    + Hurd has no MAP_NORESERVE so don't use it there.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Mar 2012 09:49:05 +0200

cairo (1.12.0-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Update XCB and pixman (build-) dependencies.
    + debian/patches/04-LD_PRELOAD-is-supported-on-Hurd.patch:
      - Dropped, merged upstream.
    + debian/libcairo2.symbols:
      - Update symbols file.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Mar 2012 10:46:09 +0200
