=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                libsm-dev,
                xutils-dev,
                libxt-dev,
-               libpixman-1-dev (>= 0.18.4),
-               libxcb1-dev (>= 1.4),
-               libxcb-render0-dev (>= 0.9.92),
+               libpixman-1-dev (>= 0.22.0),
+               libxcb1-dev (>= 1.6),
+               libxcb-render0-dev (>= 1.6),
                libxcb-shm0-dev,
 #               libgl1-mesa-dev,
 #               libegl1-mesa-dev [!hurd-any],
@@ -41,9 +41,9 @@
          libxrender-dev (>= 0.6),
          libpng12-dev,
          libsm-dev,
-         libpixman-1-dev (>= 0.18.4),
-         libxcb1-dev (>= 1.4),
-         libxcb-render0-dev (>= 0.9.92),
+         libpixman-1-dev (>= 0.22.0),
+         libxcb1-dev (>= 1.6),
+         libxcb-render0-dev (>= 1.6),
          libxcb-shm0-dev,
 #         libgl1-mesa-dev,
 #         libegl1-mesa-dev [!hurd-any],
